## postgresql-common 165+deb8u4

=== Makefile ===
POD2MAN=pod2man --center "Debian PostgreSQL infrastructure" -r "Debian"
POD1PROGS = pg_conftool.1 \
	    pg_createcluster.1 \
	    pg_ctlcluster.1 \
	    pg_dropcluster.1 \
	    pg_lsclusters.1 \
	    pg_upgradecluster.1 \
	    pg_wrapper.1
POD1PROGS_POD = pg_buildext.1 \
		pg_virtualenv.1
POD8PROGS = pg_updatedicts.8

all: man

man: $(POD1PROGS) $(POD1PROGS_POD) $(POD8PROGS)

%.1: %.pod
	$(POD2MAN) --quotes=none --section 1 $< $@

%.1: %
	$(POD2MAN) --quotes=none --section 1 $< $@

%.8: %
	$(POD2MAN) --quotes=none --section 8 $< $@

clean:
	rm -f *.1 *.8

## postgresql-common 27

=== debian/changelog ===
postgresql-common (27) unstable; urgency=low

  * Changed my debuild alias to explicitly ignore .arch-ids directories (a
    mere -i catched some, but not all arch directories). Closes: #328204
  * Add lintian overrides for missing manpages; manpages are provided by
    postgresql-client-X.Y packages.
  * pg_ctlcluster: Have autovac-* commands error out with a meaningful message
    instead of claiming success if pg_autovacuum is not available.
  * pg_ctlcluster:
    - Increase the timeout for the started postmaster to 30 seconds to cope
      with slow startup. Closes: #320444
    - Immediately fail if the postmaster produced log output and does not run
      any more. This avoids unnecessary timeouts on configuration errors and
      the like.
  * pg_createcluster: Listen on localhost by default only since upstream
    considers listening on all interfaces by default not safe enough.
    Closes: #318820
  * pg_dropcluster: Handle missing data directories gracefully. 
    Closes: #330135

 -- Martin Pitt <mpitt@debian.org>  Wed, 28 Sep 2005 22:59:04 +0200

postgresql-common (26) unstable; urgency=low

  * Fix permissions of socket directory:
    - debian/postgresql-common.postinst: Drop creation of socket directory
      since we do it in the init script anyway.
    - debian/init.d-functions: Create directory with permissions 2775 instead
      of 755 and also correct the permissions of an already existing
      directory.
    - Closes: #326049
  * debian/postgresql-common.postinst: Remove --no-create-home option from
    adduser call to ensure that the postgres user always has a sensible home
    directory that does not break "su - postgres".
  * pg_wrapper: Give a meaningful error message if no client packages are
    installed, instead of "Invalid PostgreSQL cluster version".
    Closes: #326771
  * debian/README.Devel: Explain the structure and development of Debian's
    PostgreSQL packages.

 -- Martin Pitt <mpitt@debian.org>  Wed,  7 Sep 2005 10:50:31 +0200

postgresql-common (25) unstable; urgency=low

  * PgCommon.pm, get_cluster_socketdir():
    - If the socket directory is configured in postgresql.conf, use it right
      away instead of doing experiments before.
    - Improved sanity checking.
    - Error out if the data directory cannot be stat'ed, since we cannot
      determine a sensible directory in this case.
  * pg_upgradecluster: Don't call cluster_info() on the yet nonexistant
    new cluster, just check for the data directory for determining if the new
    cluster already exists.
  * debian/control: Add adduser dependency.
  * testsuite: Generalize stopping of servers to work with all versions.
  * Avoid whinging during log rotation if there is no log file at all:
    - debian/postgresql-common.logrotate: Add "missingok".
    - debian/postgresql-common.dirs: Create /var/log/postgresql/.
    - Server packges have been changed to not clean away /var/log/postgresql/
      on purge.
    - Closes: #325330
  * pg_ctlcluster: When starting the autovacuum daemon, don't just wait for 1
    second, but actually test if the server is running  (timeout: 5 seconds);
    this should make the daemon startup much more reliable.
  * Remove test upgrade script upgrade-scripts/all_test_t1.sql, it has done
    its purpose now.

 -- Martin Pitt <mpitt@debian.org>  Wed, 31 Aug 2005 01:01:49 +0200

postgresql-common (24) unstable; urgency=low

  * Add /usr/share/postgresql-common/pg_checksystem: Check system parameters
    which are relevant to PostgreSQL. Right now this checks if write caching
    is enabled on any disk containing PostgreSQL clusters.
  * debian/postgresql-common.postinst: Call pg_checksystem. Closes: #318928
  * Bump Standards-Version to 3.6.2.
  * debian/postgresql-common.postinst: Setup user 'postgres' with /bin/bash as
    default shell. Closes: #320810
  * pg_wrapper, debian/postgresql-common.links: Wrap reindexdb, it is a
    standard client program in 8.1.
  * pg_createcluster: Do not create autovacuum log file for servers >= 8.1.
  * PgCommon.pm: For determining avac_enable on 8.1+ servers, read
    "autovacuum" setting from postgresql.conf.
  * pg_maintenance: Use avac_enable flag instead of checking for the
    pg_autovacuum pid file to determine whether autovacuuming is enabled. This
    is a more general approach and works for all server versions.
  * pg_ctlcluster: Do not attempt to start pg_autovacuum on 8.1+ servers.
  * pg_createcluster: Add hook for version specific function to configure
    postgresql.conf.
  * pg_createcluster: Add default configuration for 7.4 clusters:
    - tcpip_socket = true
    - stats_row_level = true
  * pg_createcluster: Add default configuration for 8.0 clusters:
    - listen_addresses = '*'
    - stats_row_level = true
  * pg_createcluster: Add default configuration for 8.1 clusters:
    - listen_addresses = '*'
    - stats_row_level = on
    - autovacuum = on
  * PgCommon.pm, set_conf_value(): Preserve comments.
  * debian/postgresql-common.postinst: Generalized restarting of all clusters
    to make it automatically work for future versions.
  * pg_createcluster: Adapt pg_hba.conf to the current default (md5 for host
    connections, ident sameuser for local ones); this obsoletes the
    default-pg_hba.conf patches in the server packages.
  * user_clusters: Update comments, throw out bogus documentation.
    Closes: #324749
  * pg_createcluster: Only mangle configuration files (pg_hba.conf, SSL
    enabling, etc.) if we create a new cluster, not if we integrate an already
    existing one. Closes: #323878
  * Add debian/postgresql-common.logrotate: Simple log rotation. 
    Closes: #316100

 -- Martin Pitt <mpitt@debian.org>  Tue, 23 Aug 2005 23:10:09 +0200

postgresql-common (23) unstable; urgency=low

  * pg_maintenance: Change directory to / before changing uid to avoid "could
    not change directory" errors. Closes: #318604.
  * Drop upgrade-scripts/all_vacuum_t1.sql since it causes too much trouble


=== debian/control ===
Source: postgresql-common
Section: misc
Priority: optional
Maintainer: Martin Pitt <mpitt@debian.org>
Uploaders: Oliver Elphick <Oliver.Elphick@lfix.co.uk> 
Standards-Version: 3.6.2
Build-Depends-Indep: cdbs, debhelper (>= 4.1.29)

Package: postgresql-common
Architecture: all
Conflicts: postgresql (<< 7.5), postgresql-client (<< 7.5), postgresql-7.4 (<< 1:7.4.8-10), postgresql-8.0 (<< 8.0.3-7)
Replaces: postgresql (<< 7.5), postgresql-client (<< 7.5)
Depends: ${shlibs:Depends}, adduser
Recommends: openssl
Description: manager for PostgreSQL database clusters
 postgresql-common provides a structure under which multiple versions of
 PostgreSQL may be installed and/or multiple clusters maintained at one
 time.
 .
 If you have openssl installed, this package will automatically create a (self
 signed) SSL certificate so that SSL works out of the box.
 .
 PostgreSQL is a fully featured object-relational database management
 system.  It supports a large part of the SQL standard and is designed
 to be extensible by users in many aspects.  Some of the features are:
 ACID transactions, foreign keys, views, sequences, subqueries,
 triggers, user-defined types and functions, outer joins, multiversion
 concurrency control.  Graphical user interfaces and bindings for many
 programming languages are available as well.

## postgresql-common 27ubuntu2

=== debian/changelog ===
postgresql-common (27ubuntu2) breezy-updates; urgency=low

  * pg_createcluster: 
    - Do not enable SSL on 7.4 clusters since enabling it without enabling the
      TCP socket breaks.
    - Fix backported from version 29.
    - Malone #33996.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed,  8 Mar 2006 12:48:49 +0100

postgresql-common (27ubuntu1) breezy-updates; urgency=low

  * debian/postgresql-common.postinst: Revert change of version 26: Do create
    the socket directory in the postinst, otherwise clusters will default to
    socket directory /tmp in fresh installs. (Ubuntu #17332)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 20 Oct 2005 13:12:08 +0200

## postgresql-common 39.1~breezy1

=== debian/changelog ===
postgresql-common (39.1~breezy1) breezy-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Ubuntu Archive Auto-Backport <archive@ubuntu.com>  Thu, 19 Jan 2006 17:21:56 +0000

postgresql-common (39.1) dapper; urgency=low

  * Current snapshot from bzr head to support postgresql-8.1 breezy-backport.
  * debian/supported-versions: Add 8.1 to Ubuntu 5.10 to properly support
    backport.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat,  7 Jan 2006 13:11:24 +0100

postgresql-common (39) unstable; urgency=low

  * Add t/090_multicluster.t: Test multicluster operation and environment
    variable handling (PGCLUSTER, PGPORT).
  * pg_upgradecluster: When upgrading from < 8.1 to >= 8.1, check for users
    and groups with the same name and abort if there are any. Closes: #343622
  * t/040_upgrade.t: Add self test for above bug (clashing role names on
    upgrade).
  * testsuite: Run the tests twice; once with umask 022, once with umask 077.
  * Fix operation under umask 077:
    - pg_createcluster: Create /var/log/postgresql with mode 0755.
    - PgCommon.pm, set_cluster_start_conf(): Always create start.conf with
      0644 mode by default, but preserve permissions when changing the file.
    - pg_upgradecluster: Ensure correct permissions of the temporary
      pg_hba.conf that only allows superuser connections. Closes: #345670

 -- Martin Pitt <mpitt@debian.org>  Tue,  3 Jan 2006 20:27:10 +0100

postgresql-common (38) unstable; urgency=low

  * pg_ctlcluster: Remove --setuid option, it does not make too much sense
    after all and only confuses users. Closes: #343063
  * Remove pg_ctlcluster's -s option from all scripts.
  * pg_wrapper: Fix 'postgreqsl' typo in POD. Closes: #343938
  * pg_createcluster: Do not simply close STDOUT, but reopen it to /dev/null
    to avoid initdb complaining about invalid filehandles. Closes: #344180
  * debian/init.d-functions: Check if the requested version's postmaster is
    available before trying to start/stop a cluster to avoid errors when a
    server package is removed, but not purged. Closes: #343730

 -- Martin Pitt <mpitt@debian.org>  Thu, 22 Dec 2005 18:41:23 +0100

postgresql-common (37) unstable; urgency=low

  * debian/postgresql-common.config: Only show the obsolete version warning
    once.
  * Add French debconf translations, thanks to Guilhelm Panaget.
    Closes: #340200, #341267
  * debian/postgresql-common.postinst: Change default permissions of the
    private SSL key to root:postgres 0640 to prevent potential modification of
    the certificate by the postmaster. Closes: #341141
  * Add Czech debconf translations, thanks to Miroslav Kure. Closes: #341951
  * debian/postgresql-common.postinst: Check that the postgres user/group is
    not root; fail installation with a meaningful error message if it is.
    Closes: #340459
  * t/040_upgrade.t: Check upgrading of sequence and stored PL/PgSQL
    procedure.
  * pg_upgradecluster: Change hardcoded and obsolete library paths to
    '$libdir' in the new cluster. This fixes upgrades of 7.4 clusters that
    were upgraded from woody. Closes: #338031

 -- Martin Pitt <mpitt@debian.org>  Sat, 10 Dec 2005 23:36:41 +0100

postgresql-common (36) unstable; urgency=low

  * pg_createcluster: Add --start-conf option to set start.conf value.
  * t/080_start.conf.t: Test --start-conf option.
  * debian/postgresql-common.config: Fix determination of latest version: Use
    highest supported version, not highest installed one.

 -- Martin Pitt <mpitt@debian.org>  Mon, 28 Nov 2005 23:23:18 +0100

postgresql-common (35) unstable; urgency=low

  * pg_ctlcluster: If the socket already responds, but connections fail
    several times in a row, give the postmaster some more time (5s) to
    actually accept connections.
  * t/060_obsolete_confparams.t: Start with a full configuration file for
    every tested version, instead of just upgrading the previously upgraded
    version. This gives an exhaustive check for obsolete parameters.
  * pg_upgradecluster: Handle all outstanding obsolete parameters when
    upgrading to 8.1:
    - bgwriter_percent -> bgwriter_{lru,all}_percent
    - bgwriter_maxpages -> bgwriter_{lru,all}_maxpages
  * PgCommon.pm: Add new function set_cluster_start_conf() for easier change
    of start.conf.
  * Rename test 030_create_errors.t to 030_errors.t since it covers more
    errors than just creation failures.
  * Add test t/080_start.conf.t: Check start.conf handling and upgrading.
  * debian/supported-versions: Add Debian release 3.1.
    Closes: #340397, #340483
  * debian/postgresql-common.config: Ignore things in /usr/lib/postgresql that
    are not a version-specific postgresql subdirectory. Closes: #340470
  * t/001_packages.t: Check that procps is installed, the selftests need it.

 -- Martin Pitt <mpitt@debian.org>  Thu, 24 Nov 2005 22:27:51 +0100

postgresql-common (34) unstable; urgency=low

  * debian/postgresql-common.postrm: Fix syntax error.
  * Add debian/supported-versions: Script to determine the set of supported
    PostgreSQL major versions for the running distro/release. Currently covers
    Debian sid/testing, Ubuntu 5.10 and Ubuntu 6.04.
  * debian/postgresql-common.config: Remove hardcoded versions, use
    supported-versions now.
  * Minor test suite variable cleanup.
  * debian/README.Debian: Update for version 8.1.

 -- Martin Pitt <mpitt@debian.org>  Tue, 22 Nov 2005 01:17:32 +0100

postgresql-common (33) unstable; urgency=low

  * pg_wrapper: Instead of checking $0 against a static list, just check
    whether the program is available in postgresql's bin dir. This allows
    other packages which provide stuff in pg_bin to install additional
    symlinks and get pg_wrapper support for free.
  * pg_checksystem, pg_createcluster, pg_dropcluster, pg_upgradecluster: Check
    that effective user is root before doing anything to avoid confusing error
    messages.


=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Architecture: all
 Conflicts: postgresql (<< 7.5), postgresql-client (<< 7.5), postgresql-7.4 (<< 1:7.4.8-10), postgresql-8.0 (<< 8.0.3-7)
 Replaces: postgresql (<< 7.5), postgresql-client (<< 7.5)
-Depends: ${shlibs:Depends}, adduser
+Depends: ${shlibs:Depends}, adduser, debconf (>= 0.5.00) | debconf-2.0, lsb-base
 Recommends: openssl
 Description: manager for PostgreSQL database clusters
  postgresql-common provides a structure under which multiple versions of

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk

POD2MAN=pod2man --center "Debian PostgreSQL infrastructure" -r "Debian"
POD1PROGS=pg_ctlcluster pg_wrapper pg_lsclusters pg_createcluster pg_dropcluster pg_upgradecluster
POD8PROGS=pg_maintenance

build/postgresql-common::
	for p in $(POD1PROGS); do $(POD2MAN) --quotes=none --section 1 $$p > $$p.1; done
	for p in $(POD8PROGS); do $(POD2MAN) --quotes=none --section 8 $$p > $$p.8; done

install/postgresql-common::
	install -D -m 644 debian/postgresql-common.lintian $(DEB_DESTDIR)/usr/share/lintian/overrides/postgresql-common

cleanbuilddir/postgresql-common::
	for p in $(POD1PROGS); do rm -f $$p.1; done
	for p in $(POD8PROGS); do rm -f $$p.8; done

## postgresql-common 53ubuntu3

=== debian/changelog ===
postgresql-common (53ubuntu3) dapper; urgency=low

  * debian/control: Have p-common always depend on the recent p-client-common,
    since the latter ships PgCommon.pm. If the library is out of date, this
    can break operations horribly. (http://bugs.debian.org/369289)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 29 May 2006 08:56:06 +0200

postgresql-common (53ubuntu2) dapper; urgency=low

  * debian/supported-versions: Recognize both '6.06' and '6.06LTS' as version
    numbers for Ubuntu dapper.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 22 May 2006 11:10:37 +0200

postgresql-common (53ubuntu1) dapper; urgency=low

  * debian/supported-versions:
    - Adapt Ubuntu dapper version number to 6.06LTS.
    - Fix bashism: 'type -p' -> 'type'.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 22 May 2006 07:52:47 +0200

postgresql-common (53) unstable; urgency=medium

  * Urgency medium since this fixes a quite serious bug; no intrusive changes
    otherwise.
  * Add Russian debconf translation, thanks to Yuriy Talakan'
    <yt@amur.elektra.ru>! Closes: #367152
  * t/001_packages.t: Check that the locales used in the tests are installed
    so that the test suite fails early if not.
  * t/050_encodings.t, t/060_obsolete_confparams.t: Use ru_RU{,.UTF-8} for
    tests, since they have more potential for failure.
  * t/050_encodings.t:
    - Add check for https://launchpad.net/bugs/39177: Correct encoding of
      server error messages under various locales.
    - Add check for bug #343057: Correct startup if client_encoding and
      lc_messages settings do not match.
  * pg_ctlcluster: Set LC_CTYPE environment variable to unbreak server error
    messages. (Closes https://launchpad.net/bugs/39177). By only setting CTYPE
    we also avoid reintroducing bug #343057. (Yay for postmaster being so anal
    about its environment)
  * t/020_create_sql_remove.t: Consider LC_CTYPE a safe environment variable.
  * debian/postgresql-common.postinst: Bump version comparison for restarting
    postgresql servers to this version, to ensure that above bug fix becomes
    active.

 -- Martin Pitt <mpitt@debian.org>  Fri, 19 May 2006 18:58:25 +0200

postgresql-common (52) unstable; urgency=low

  * Bump Standards-Version to 3.7.2.
  * Merge support for system wide snakeoil SSL certificate from Ubuntu branch
    and eliminate our custom SSL certificate juggling:
    - debian/control:
      + Depend on ssl-cert which provides snakeoil cert and the ssl-cert
        group.
      + Remove Recommends: openssl.
    - debian/postgresql-common.postinst:
      + Remove generation of PostgreSQL specific SSL certificate.
      + Add postgres user to the ssl-cert group on upgrades to this version or
        on fresh installs.
    - pg_createcluster:
      + Adapt cert/key paths to snakeoil.
      + Update manpage documentation POD.
      + Enable SSL only if SSL key can be accessed with the cluster owner's
        privileges.
    - debian/README.Debian: Update documentation of SSL certificate handling.

 -- Martin Pitt <mpitt@debian.org>  Fri, 12 May 2006 22:25:49 +0200

postgresql-common (51) unstable; urgency=low

  * PgCommon.pm: Add function read_pg_hba() to parse pg_hba.conf.
  * Add t/005_PgCommon.t: Designated for testing PgCommon.pm library
    functions; test read_pg_hba() for now.
  * pg_ctlcluster: Check pg_hba.conf if the database superuser can connect
    locally without a password. If not, disable startup checks to avoid asking
    for the superuser password. (https://launchpad.net/bugs/37640)
  * t/030_errors.t: Test above pg_ctlcluster checks.

 -- Martin Pitt <mpitt@debian.org>  Mon,  1 May 2006 14:38:53 +0200

postgresql-common (50) unstable; urgency=low

  * t/030_errors.t: Check that pg_wrapper and administration programs give
    sane error messages instead of 'Invalid symbolic link blabla' for a
    nonexisting cluster.
  * pg_ctlcluster, pg_dropcluster: Print meaningful error message on
    nonexisting cluster. Closes: #360701
  * pg_dropcluster: Rename --stop-server to --stop to be consistent with
    pg_createcluster's --start, and update documentation. --stop-server still
    works for backward compatibility, though. Closes: #360697
  * debian/README.Debian:
    - Update createuser invocation description for 8.1+. Closes: #361731
    - Update autovacuum daemon description; explain integrated autovacuuming
      for 8.1+.
  * pg_ctlcluster: Fail autovac-* commands for 8.1+ clusters. Closes: #360888
  * debian/init.d-functions: Fix handling of failing pg_ctlcluster
    invocations. Closes: #362825
  * pg_createcluster: Explain syntax of the environment file in more detail.
  * Add t/110_integrate_cluster.t: Test various scenarios of integrating 
    already existing clusters.
  * pg_createcluster: Determine correct owner and group when integrating an
    already existing cluster.

 -- Martin Pitt <mpitt@debian.org>  Thu, 20 Apr 2006 23:09:36 +0200

postgresql-common (49) unstable; urgency=low

  * debian/supported-versions:
    - Do not fail the package installation if an unknown LSB release is
      encountered; merely print a warning and assume just the latest
      PostgreSQL version is supported.
    - Fix Ubuntu Dapper release version (6.04 -> 6.06).
      (https://launchpad.net/bugs/36921)
  * pg_createcluster: Add option -p/--port to set the cluster port.
    Closes: #359249
  * t/030_errors.t: Check that pg_createcluster's --port option validates the
    port number (invalid number, already used port).
  * t/090_multicluster.t: Check that pg_createcluster's --port option works.
  * t/050_encodings.t: Check correct input/output with Latin-1 and UTF-8
    client encodings in all server locale/encoding combinations.
  * pg_ctlcluster: Do not set LC_ALL and LANG environment variables for the
    postmaster; it handles locales by itself, and explicitly setting them
    breaks sometimes. Thanks to Olleg Samoylov for analyzing this.
    Closes: #343057


=== debian/control ===
--- 
+++ 
@@ -3,15 +3,14 @@
 Priority: optional
 Maintainer: Martin Pitt <mpitt@debian.org>
 Uploaders: Oliver Elphick <Oliver.Elphick@lfix.co.uk> 
-Standards-Version: 3.6.2
+Standards-Version: 3.7.2
 Build-Depends-Indep: cdbs, debhelper (>= 4.1.29)
 
 Package: postgresql-common
 Architecture: all
 Conflicts: postgresql (<< 7.5), postgresql-client (<< 7.5), postgresql-7.4 (<< 1:7.4.8-10), postgresql-8.0 (<< 8.0.3-7)
 Replaces: postgresql (<< 7.5), postgresql-client (<< 7.5)
-Depends: ${shlibs:Depends}, adduser, debconf (>= 0.5.00) | debconf-2.0, lsb-base
-Recommends: openssl
+Depends: postgresql-client-common (>= ${Source-Version}), adduser, debconf (>= 0.5.00) | debconf-2.0, lsb-base (>= 3.0-3), ssl-cert (>= 1.0.11)
 Description: manager for PostgreSQL database clusters
  postgresql-common provides a structure under which multiple versions of
  PostgreSQL may be installed and/or multiple clusters maintained at one
@@ -28,3 +27,24 @@
  concurrency control.  Graphical user interfaces and bindings for many
  programming languages are available as well.
 
+Package: postgresql-client-common
+Architecture: all
+Conflicts: postgresql (<< 7.5), postgresql-client (<< 7.5), postgresql-common (<< 45)
+Replaces: postgresql (<< 7.5), postgresql-client (<< 7.5), postgresql-common (<< 45)
+Depends: debconf (>= 0.5.00) | debconf-2.0
+Description: manager for multiple PostgreSQL client versions
+ postgresql-client-common provides a structure under which multiple
+ versions of PostgreSQL client programs may be installed at the same
+ time. It provides a wrapper which selects the right version for the
+ particular cluster you want to access (with a command line option, an
+ environment variable, /etc/postgresql-commmon/user_clusters, or
+ ~/.postgresqlrc).
+ .
+ PostgreSQL is a fully featured object-relational database management
+ system.  It supports a large part of the SQL standard and is designed
+ to be extensible by users in many aspects.  Some of the features are:
+ ACID transactions, foreign keys, views, sequences, subqueries,
+ triggers, user-defined types and functions, outer joins, multiversion
+ concurrency control.  Graphical user interfaces and bindings for many
+ programming languages are available as well.
+

## postgresql-common 62

=== debian/changelog ===
postgresql-common (62) unstable; urgency=low

  * t/080_start.conf.t: Check that stop'ing a cluster works even if the
    cluster is disabled (test for bug #386996).
  * pg_ctlcluster: Allow 'stop' and 'autovac-stop' for disabled clustes.
    Closes: #386996
  * Reduce options passed to postmaster at runtime to shorten command line and
    make the configuration more obvious and explicit:
    - pg_ctlcluster: Do not pass unix_socket_dir/hba_file/ident_file if it is
      already defined in postgresql.conf.
    - pg_createcluster: If we create a cluster >= 8.0, set hba_file,
      ident_file, and external_pid_file in postgresql.conf.
    - 070_non_postgres_clusters.t: Fix expected output accordingly and
      use 'ls' for socket check instead of looking at the command line.
    - Closes: #384999

 -- Martin Pitt <mpitt@debian.org>  Mon, 18 Sep 2006 09:12:20 +0200

postgresql-common (61) unstable; urgency=low

  * pg_lsclusters: Remove trailing spaces from output, adapt test suite
    accordingly.
  * pg_upgradecluster: Correctly pass custom datadir to pg_createcluster.
    Closes: #385034
  * Add t/041_upgrade_custompaths.t: Test upgrading with a custom data
    directory and log file path (this also covers bug #385034).

 -- Martin Pitt <mpitt@debian.org>  Mon, 11 Sep 2006 13:08:58 +0200

postgresql-common (60) unstable; urgency=low

  * Update Czech debconf translations, thanks to Miroslav Kure.
    Closes: #384757
  * t/090_multicluster.t: Check that $PGHOST and $PGDATABASE environment
    variables are respected and have the correct precedence. (This reproduces
    #385971). Now this test has full coverage of all libpq environment
    variables but $PGUSER (which is not used at all anywhere).
  * pg_wrapper: Do not override $PGDATABASE and $PGHOST with user_clusters
    map. Closes: #385971
  * Update Dutch debconf translations, thanks to Vincent Zweije.
    Closes: #386704
  * pg_createcluster: Fix POD to have consistent long-option syntax. Thanks to
    Bastian Kleineidam! (Part of bug #386148)
  * Improve handling of custom socket directories:
    - pg_createcluster: Create a nonexisting directory.
    - pg_dropcluster: Remove empty socket directory unless it's /tmp or
      /var/run/postgresql.
    - Thanks to Bastian Kleineidam for the suggestions.
    - t/030_errors.t: Do not create our custom socket dir ourselves any more,
      since pg_createcluster is now supposed to handle that (thus providing a
      test case).
    - Closes:  #386148

 -- Martin Pitt <mpitt@debian.org>  Sun, 10 Sep 2006 13:31:11 +0200

postgresql-common (59) unstable; urgency=low

  * t/001_packages.t: Check that p-plpython-X.Y is installed.
  * t/020_create_sql_remove.t: Check that PL/Python works properly.
  * Update French debconf translations, thanks to Guilhelm Panaget
    <guilhelm.panaget@free.fr>. Closes: #382447
  * Add Portugese debconf translations, thanks to Rui Branco
    <ruipb@debianpt.org>. Closes: #381946
  * postgresql-common/debian/postgresql-common.config:
    - Ensure that the 'untransitioned' critical debconf note is always shown,
      not just once. Otherwise the preinst just fails without giving any hint
      about the reason after the first failure.
    - Additionally print a small hint to stderr, for the case that people do
      not use the interactive frontend.
    - Closes: #382134

 -- Martin Pitt <mpitt@debian.org>  Sat, 12 Aug 2006 18:40:21 +0200

postgresql-common (58) unstable; urgency=low

  * pg_wrapper: Improve manpage POD, describe the precise rules for cluster
    selection.
  * t/090_multicluster.t: Check for proper error message of pg_wrapper (no
    suitable default cluster) if several local clusters exist and none are on
    the default port.
  * pg_wrapper: Print proper error message if no cluster is suitable as
    default target and point to man pg_wrapper.
  * pg_upgradecluster:
    - Support /etc/postgresql-common/pg_upgradecluster.d/ hook scripts. These
      are called after creating the virgin new version cluster (phase 'init')
      and a second time after the upgrade is complete (phase 'finish').
      PostgreSQL extensions like PostGIS can use these hooks to initialize
      metadata which must not be upgraded from the old cluster, but
      initialized from scratch. Closes: #351571
    - Document this feature in the manpage POD.
    - If upgrade scripts are present, call pg_restore with the new -X
      no-data-for-failed-tables option to not clutter already existing tables
      in the new cluster with data from the old cluster. Abort with an error
      if the installed pg_restore does not support this option.
    - debian/postgresql-common.dirs: Ship
      /etc/postgresql-common/pg_upgradecluster.d/.
  * Add t/120_pg_upgradecluster_scripts.t: Selftest for pg_upgradecluster.d
    hooks and proper pg_restore -X no-data-for-failed-tables behaviour.
  * PgCommon.pm, get_cluster_locales(): Fix parsing of locales out of
    pg_controldata output by calling it under the locale 'C' and being more
    liberal in the regular expression. (https://launchpad.net/bugs/50755)

 -- Martin Pitt <mpitt@debian.org>  Tue, 25 Jul 2006 22:34:42 +0200

postgresql-common (57) unstable; urgency=low

  * debian/postgresql-common.{preinst,config}: Check if there is a removed,
    but not purged pre-transition postgresql-client or postgresql package.
    Packages in this state subtly break operation, but are not caught by the
    Conflicts: statements. Display a critical note in that case and abort
    installation. Closes: #368827

 -- Martin Pitt <mpitt@debian.org>  Thu, 29 Jun 2006 23:07:30 +0200

postgresql-common (56) unstable; urgency=low

  * debian/init.d-functions, status(): Exit with code 3 if any cluster is
    down, to get a bit closer to LSB specification (which does not
    sufficiently specify the case of controlling multiple processes in one
    init script). Thanks to Ross Boylan <RossBoylan@stanfordalumni.org>!
    Closes: #358152
  * pg_ctlcluster:


## postgresql-common 71~bpo.1

=== debian/changelog ===
postgresql-common (71~bpo.1) sarge-backports; urgency=low

  * Rebuilt for sarge.

 -- Norbert Tretkowski <nobse@backports.org>  Tue, 20 Feb 2007 20:01:35 +0100

postgresql-common (71) unstable; urgency=low

  * Add Swedish debconf translations. Thanks to Andreas Henriksson!
    Closes: #407865
  * Add Galician debconf translations. Thanks to Jacobo Tarrio!
    Closes: #408121
  * debian/supported-versions: Only 8.2 is supported in Ubuntu 7.04.
  * pg_ctlcluster: Check that $version and $cluster are still defined after
    untainting to avoid confusing (but harmless) error message.
    Closes: #406117

 -- Martin Pitt <mpitt@debian.org>  Mon, 29 Jan 2007 16:22:55 +0100

postgresql-common (70) unstable; urgency=low

  * t/050_encodings: Check that $LC_ALL dominates $LANG on pg_createcluster.
    This reproduces bug #403239.
  * pg_createcluster: If $LC_ALL is defined, fix $LANG to $LC_ALL. Servers
    prior to 8.2 get this wrong and fail over an invalid $LANG even if that is
    dominated by a valid $LC_ALL. Closes: #403239
  * Add Brazilian Portugese debconf translations. Thanks to André Luís Lopes!
    Closes: #403563
  * t/040_upgrade.t: Check that pg_upgradecluster does not have any stderr
    output (such as error messages from pg_restore, the server, or Perl
    warnings). This uncovers #403529.
  * pg_upgradecluster: Do not mangle {hba,ident,external_pid}_file values from
    old postgresql.conf if they do not exist at all. This removes the Perl
    warnings during upgrades from 7.4. Closes: #403529
  * debian/README.Debian: Describe default cluster setup and give an example
    for upgrading a cluster if a newer version with the same name already
    exists.

 -- Martin Pitt <mpitt@debian.org>  Tue, 19 Dec 2006 17:00:27 +0100

postgresql-common (69) unstable; urgency=medium

  * Urgency medium, only safe fixes and this needs to go into Etch due to
    first bug fix.
  * debian/supported_versions: Gracefully fall back on an unknown
    distribution, instead of failing package installation completely.
    Closes: #400628
  * debian/supported_versions: Some minor factorization.
  * Add Spanish debconf translations, thanks to Javier Fernández-Sanguino
    Peña! Closes: #402198
  * pg_createcluster: Add --locale and the various --lc_* options that initdb
    supports, and mention in POD that directly setting --encoding is not
    recommended. Closes: #395083
  * t/050_encodings.t: Use pg_createcluster's new --locale option in some test
    cases.
  * Make testsuite work with just one installed major version (mainly boils
    down to disabling upgrade tests).

 -- Martin Pitt <mpitt@debian.org>  Sat,  9 Dec 2006 14:37:42 +0100

postgresql-common (68) unstable; urgency=low

  * debian/supported-versions: Add Debian 4.0. Closes: #399978
  * debian/postgresql-common.postinst: Use adduser option --quiet for adding
    postgres to ssl-cert. Closes: #399979
  * pg_createcluster: Enable timestamps in log files by default. Other system
    log files have timestamps, too, and they are useful. Closes: #395554
  * t/040_upgrade.t: Fix number of tests if oldest installed PostgreSQL
    version is < 8.0.

 -- Martin Pitt <mpitt@debian.org>  Fri, 24 Nov 2006 21:01:30 +0100

postgresql-common (67) unstable; urgency=low

  *t/040_upgrade.t: Skip the user/group name clash test when there are only
   servers >= 8.1 installed, since it does not apply to them and breaks the
   test suite.
  * t/040_upgrade.t: Check that the upgraded cluster still works after
    removing the old one, to check for stale paths of configuration files.
  * pg_upgradecluster: Adapt path to configuration files in the target
    cluster, so that they do not refer to the files of the old cluster. (This
    fixes an upgrade regression introduced in version 62).
  * debian/supported-versions: Add Ubuntu 7.04.
  * Add Italian debconf translations. Thanks to Luca Monducci
    <luca.mo@tiscali.it>! Closes: #396947

 -- Martin Pitt <mpitt@debian.org>  Thu, 16 Nov 2006 00:11:58 -0800

postgresql-common (66) unstable; urgency=low

  * Add Japanese debconf translations. Thanks to Hideki Yamane!
    Closes: #393055
  * pg_upgradecluster: Use -X no-data-for-failed-tables only for 8.1. In
    8.2beta2 this got renamed to --no-data-for-failed-tables.

 -- Martin Pitt <mpitt@debian.org>  Fri, 27 Oct 2006 11:38:50 +0200

postgresql-common (65) unstable; urgency=low

  * pg_upgradecluster: Quiesce dropdb for already existing 'postgres'
    database.
  * pg_upgradecluster: Avoid harmless, but confusing error messages about role
    creation:
    - Do not use -c for pg_dumpall, since the target roles should not yet
      exist anyway.
    - Filter out the 'CREATE (ROLE|USER)' command for the db superuser, since
      it will already exist.
    - Testsuite: Check that pg_upgradecluster output contains no server error
      messages.
    - Closes: #389930

 -- Martin Pitt <mpitt@debian.org>  Sat,  7 Oct 2006 13:54:34 +0200

postgresql-common (64) unstable; urgency=low

  * Fix pg_ctlcluster regression from 63: 'database system is starting up'
    fatal error message caused immediate abortion of startup checks. Make the
    check easier and more robust, adapt test cases accordingly.
  * t/020_create_sql_remove.t: Add check that PL/Perl works. Check that
    -plperl-X.Y. is installed in t/001_packages.t.
  * t/{040_upgrade.t,041_upgrade_custompaths.t}: Check for pg_restore error
    messages during upgrade.
  * pg_upgradecluster: Avoid pg_restore errors during upgrade (they were
    nonfatal, but look ugly:)
    - Drop 'postgres' db in 8.1+ target cluster if the source cluster already
      has it.
    - Do not use pg_restore's --create for template1.
    - Fix hardcoded library paths before dumping/restoring the cluster, not
      after, to avoid error messages about failed library loads.

 -- Martin Pitt <mpitt@debian.org>  Fri,  6 Oct 2006 18:35:46 +0200

postgresql-common (63) unstable; urgency=low



=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Martin Pitt <mpitt@debian.org>
-Uploaders: Oliver Elphick <Oliver.Elphick@lfix.co.uk> 
+Uploaders: Oliver Elphick <Oliver.Elphick@lfix.co.uk>, Norbert Tretkowski <nobse@backports.org>
 Standards-Version: 3.7.2
 Build-Depends-Indep: cdbs, debhelper (>= 4.1.29)
 
@@ -10,7 +10,7 @@
 Architecture: all
 Conflicts: postgresql (<< 7.5), postgresql-client (<< 7.5), postgresql-7.4 (<< 1:7.4.8-10), postgresql-8.0 (<< 8.0.3-7)
 Replaces: postgresql (<< 7.5), postgresql-client (<< 7.5)
-Depends: postgresql-client-common (>= ${Source-Version}), adduser, debconf (>= 0.5.00) | debconf-2.0, lsb-base (>= 3.0-3), ssl-cert (>= 1.0.11)
+Depends: postgresql-client-common (>= ${Source-Version}), procps, adduser, debconf (>= 0.5.00) | debconf-2.0, lsb-base (>= 3.0-3), ssl-cert (>= 1.0.11)
 Description: manager for PostgreSQL database clusters
  postgresql-common provides a structure under which multiple versions of
  PostgreSQL may be installed and/or multiple clusters maintained at one

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,8 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 
 POD2MAN=pod2man --center "Debian PostgreSQL infrastructure" -r "Debian"
-POD1PROGS=pg_ctlcluster pg_wrapper pg_lsclusters pg_createcluster pg_dropcluster pg_upgradecluster
-POD8PROGS=pg_maintenance
+POD1PROGS=pg_wrapper pg_lsclusters
+POD8PROGS=pg_ctlcluster pg_maintenance pg_createcluster pg_dropcluster pg_upgradecluster
 
 build/postgresql-common::
 	for p in $(POD1PROGS); do $(POD2MAN) --quotes=none --section 1 $$p > $$p.1; done

## postgresql-common 71~edgy1

=== debian/changelog ===
postgresql-common (71~edgy1) edgy-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 12 Feb 2007 09:00:42 +0000

## postgresql-common 71

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Martin Pitt <mpitt@debian.org>
-Uploaders: Oliver Elphick <Oliver.Elphick@lfix.co.uk>, Norbert Tretkowski <nobse@backports.org>
+Uploaders: Oliver Elphick <Oliver.Elphick@lfix.co.uk> 
 Standards-Version: 3.7.2
 Build-Depends-Indep: cdbs, debhelper (>= 4.1.29)

## postgresql-common 73

=== debian/changelog ===
postgresql-common (73) unstable; urgency=low

  * debian/postgresql-common.dirs: Ship /var/lib/postgresql again, creating it
    dynamically causes various upgrade failures. Closes: #416146, #416228
  * debian/postgresql-common.postinst: Call adduser with --no-create-home.
    This avoids the 'wrong owner' warning as well.

 -- Martin Pitt <mpitt@debian.org>  Mon, 26 Mar 2007 18:51:27 +0200

postgresql-common (72) unstable; urgency=low

  * debian/postgresql-common.postinst: Set default /var/log/postgresql
    permissions to root:postgres 1775. Closes: #410852
  * Update Russian debconf translations. Thanks to Yuriy Talakan'!
    Closes: #414067
  * postgresql-common/debian/postgresql-common.dirs: Remove
    /var/lib/postgresql, so that adduser does not complain about a preexisting
    directory with the wrong owner any more. This also avoids removing the
    home directory of postgres when removing the package. Closes: #415444

 -- Martin Pitt <mpitt@debian.org>  Sat, 24 Mar 2007 16:06:47 +0100

## postgresql-common 78

=== debian/changelog ===
postgresql-common (78) unstable; urgency=low

  * debian/postgresql-common.postinst: Only clean up
    /usr/lib/postgresql/dumpall/ on upgrades if it is actually a directory.
    (Closes: #440596)

 -- Martin Pitt <mpitt@debian.org>  Sun, 16 Sep 2007 20:59:30 +0200

postgresql-common (77) unstable; urgency=low

  * debian/control: Fix obsolete ${Source-Version}.
  * t/020_create_sql_remove.t: Create fake rotated log files to check that
    they are cleaned up properly.
  * pg_dropcluster: Remove rotated logs, too. (part of #431643)
  * debian/postgresql-common.postinst: Clean up /usr/lib/postgresql/dumpall/
    junk from the Sarge->Etch postgresql transition. This needs to be kept
    until after Lenny's release. (part of #431643)
  * Add debian/postgresql-client-common.postrm: Clean up
    /var/lib/postgresql/.psql_history on purge. Closes: #431643
  * debian/postgresql-common.postinst: Create /var/lib/postgresql/ if it does
    not exist. This should not usually happen, but apparently did anyway.
    (Closes: #438698)

 -- Martin Pitt <mpitt@debian.org>  Mon, 20 Aug 2007 15:45:28 +0200

postgresql-common (76) unstable; urgency=medium

  * Priority medium since this unbreaks client programs like psql in testing.
  * pg_wrapper: Revert changes of version 74 to make this work with taint
    mode. It breaks too many custom setups, and Perl just doesn't allow to
    untaint $PATH bluntly. If you run pg_wrapper from a perl script with taint
    checks enabled, you have to clean $PATH yourself. Closes: #427894
  * t/020_create_sql_remove.t: Check that PL/TCL and PL/TCLu work, so that we
    now have complete test coverage of all four PLs that are shipped with the
    core package.
  * t/001_packages.t: Check that postgresql-pltcl-<version> is installed.
  * PgCommon.pm, get_cluster_socketdir(): Improve error message if data
    directory parent is not readable. Closes: #428698

 -- Martin Pitt <mpitt@debian.org>  Sat, 23 Jun 2007 21:52:58 +0200

postgresql-common (75) unstable; urgency=low

  The "Never run the test suite without 7.4 just because it is deprecated and
  about to be removed" release. Sorry for the trouble.

  * pg_ctlcluster: Partially revert PATH cleansing to make pg_ctl work on 7.4
    again. This can be dropped again once 7.4 is actually removed from the
    archive. Closes: #425594

 -- Martin Pitt <mpitt@debian.org>  Thu, 24 May 2007 09:26:45 +0200

postgresql-common (74) unstable; urgency=low

  * debian/supported_versions:
    - Match any 4.0* as Debian Etch to get the correct set of supported
      versions. Closes: #420915
    - Add Lenny/unstable: only support 8.2.
    - Add Ubuntu 7.10.
    - Don't fail if the distribution cannot be determined at all, only print
      out a warning.
  * pg_createcluster, pg_ctlcluster, pg_dropcluster, pg_maintenance,
    pg_upgradecluster: Strip down PATH untainting to the absolute minimum, to
    not fall over if e. g. /usr/local/bin is misconfigured to be world
    writable. Closes: #420565
  * pg_wrapper: Make this script work with taint checks enabled. This happens
    in a pretty blunt way, since it does not actually make sense to enforce
    environment variables, etc. It should just not fail when being called from
    a -T perl script. Closes: #422129
  * debian/postgresql-common.postinst: Do not hide failures of the init
    script on restart.
  * debian/postgresql-common.config, debian/postgresql-common.templates:
    Remove the check for an untransitioned postgresql, since it was only
    necessary for the Sarge->Etch upgrade. Update debian/po/*.po.
  * Remove debian/postgresql-common.preinst, we only needed it for the
    "untransitioned" test.
  * debian/control: Move cdbs and debhelper from B-D-I to B-D, since we need
    them for 'clean'.
  * Add debian/postgresql-client-common.lintian: Lintian overrides for 'binary
    without manpage'. The stuff in /usr/bin is just a symlink to pg_wrapper,
    postgresql-client-* ships the actual manpages for those.

 -- Martin Pitt <mpitt@debian.org>  Sun, 20 May 2007 15:30:19 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Martin Pitt <mpitt@debian.org>
 Uploaders: Oliver Elphick <Oliver.Elphick@lfix.co.uk> 
 Standards-Version: 3.7.2
-Build-Depends-Indep: cdbs, debhelper (>= 4.1.29)
+Build-Depends: cdbs, debhelper (>= 4.1.29)
 
 Package: postgresql-common
 Architecture: all
 Conflicts: postgresql (<< 7.5), postgresql-client (<< 7.5), postgresql-7.4 (<< 1:7.4.8-10), postgresql-8.0 (<< 8.0.3-7)
 Replaces: postgresql (<< 7.5), postgresql-client (<< 7.5)
-Depends: postgresql-client-common (>= ${Source-Version}), procps, adduser, debconf (>= 0.5.00) | debconf-2.0, lsb-base (>= 3.0-3), ssl-cert (>= 1.0.11)
+Depends: postgresql-client-common (>= ${source:Version}), procps, adduser, debconf (>= 0.5.00) | debconf-2.0, lsb-base (>= 3.0-3), ssl-cert (>= 1.0.11)
 Description: manager for PostgreSQL database clusters
  postgresql-common provides a structure under which multiple versions of
  PostgreSQL may be installed and/or multiple clusters maintained at one
